summaryrefslogtreecommitdiffstats
path: root/development/erlang-otp/erlang-otp.SlackBuild
diff options
context:
space:
mode:
author Ben Mendis <ben.mendis@gmail.com>2010-05-12 23:28:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:40 +0200
commit93facb5fa020e66ae489879782fc9e53109a3a52 (patch)
tree176c802c186647528c9b51557b4a68c0c0d3d068 /development/erlang-otp/erlang-otp.SlackBuild
parent06be89d78d4552bcd1c464d313acfa724d626b76 (diff)
downloadslackbuilds-93facb5fa020e66ae489879782fc9e53109a3a52.tar.gz
slackbuilds-93facb5fa020e66ae489879782fc9e53109a3a52.tar.xz
development/erlang-otp: Added to 12.2 repository
Diffstat (limited to 'development/erlang-otp/erlang-otp.SlackBuild')
-rw-r--r--development/erlang-otp/erlang-otp.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/development/erlang-otp/erlang-otp.SlackBuild b/development/erlang-otp/erlang-otp.SlackBuild
new file mode 100644
index 0000000000..634c6d3a8e
--- /dev/null
+++ b/development/erlang-otp/erlang-otp.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+## Written by halflife (vzdorovenco@yahoo.com)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by Robby Workman 20071027
+# I won't change the "Written by" line, because I didn't
+# change who wrote the script. If there are questions as
+# to whether my changes caused a problem, feel free to
+# send mail to me first.
+
+# Package adaptation in order to rename it from otp-R11B
+# to erlang-otp, by LukenShiro <Lukenshiro@ngi.it>
+
+PRGNAM=erlang-otp
+VERSION=13B01
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_NAME_VERSION=otp_src_R${VERSION}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_NAME_VERSION
+tar xvf $CWD/${SRC_NAME_VERSION}.tar.gz
+cd $SRC_NAME_VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+INSTALL_DV="install: install.dirs install.emulator install.libs"
+sed -i -e "s|$INSTALL_DV install.Install install.bin|$INSTALL_DV|" Makefile
+
+make
+make INSTALL_PREFIX=$PKG install
+
+cd $PKG/usr/bin
+ for file in erl erlc epmd run_erl to_erl dialyzer typer escript ; do
+ rm -f $file
+ ln -s ../lib${LIBDIRSUFFIX}/erlang/bin/$file .
+ done
+cd -
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz